Executive leaderboard
curl --request GET \
--url https://astreus.ai/api/v1/scorecards/executives \
--header 'X-API-KEY: <api-key>'import requests
url = "https://astreus.ai/api/v1/scorecards/executives"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://astreus.ai/api/v1/scorecards/executives', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"executives": [
{
"speaker_name": "Amy Hood",
"companies": [
"MSFT"
],
"metrics": [
"cost_of_revenue",
"effective_tax_rate",
"opex"
],
"n": 144,
"hits": 28,
"hit_rate": 0.19444444444444445,
"sufficient": true,
"beats": 83,
"shortfalls": 61,
"avg_abs_error": 0.05477642361111111,
"avg_signed_error": 0.01678820138888889,
"avg_horizon_days": 71.29166666666667,
"last_target_period": "2026-06-30"
},
{
"speaker_name": "Colette Kress",
"companies": [
"NVDA"
],
"metrics": [
"capex",
"gross_margin",
"gross_margin_non_gaap"
],
"n": 78,
"hits": 40,
"hit_rate": 0.5128205128205128,
"sufficient": true,
"beats": 54,
"shortfalls": 21,
"avg_abs_error": 0.039257602564102566,
"avg_signed_error": 0.008489653846153846,
"avg_horizon_days": 71.73076923076923,
"last_target_period": "2026-04-30"
},
{
"speaker_name": "Luca Maestri",
"companies": [
"AAPL"
],
"metrics": [
"dps",
"effective_tax_rate",
"gross_margin"
],
"n": 59,
"hits": 30,
"hit_rate": 0.5084745762711864,
"sufficient": true,
"beats": 23,
"shortfalls": 31,
"avg_abs_error": 0.6015978135593221,
"avg_signed_error": 0.5475261186440677,
"avg_horizon_days": 61.32203389830509,
"last_target_period": "2024-12-31"
}
],
"min_predictions_for_rate": 10
}{
"error": "<string>",
"code": "unauthenticated"
}{
"error": "<string>",
"code": "unauthenticated"
}{
"error": "<string>",
"code": "unauthenticated"
}{
"error": "<string>",
"code": "unauthenticated"
}Guidance & Scorecards
Executive leaderboard
Executive credibility leaderboard (guidance kept vs missed).
GET
/
api
/
v1
/
scorecards
/
executives
Executive leaderboard
Authorizations
apiKeycognitoIdToken
Astreus API key (pk_live_...), created on the Developers page in the terminal. Also accepted as Authorization: Bearer pk_live_....
Response
OK
The response is of type object.